#include "config.h"

#include "readyable.h"

static void be_readyable_base_init(gpointer g_class) {
	static gboolean initialized = FALSE;

	if(!initialized) {
		/* create interface signals here. */
		initialized = TRUE;
	}
}

GType be_readyable_get_type(void) {
	static GType type = 0;

	if(type == 0) {
		static const GTypeInfo info = {
			sizeof(BeReadyableClass), /* class_size */
			&be_readyable_base_init,  /* base_init */
			NULL,                     /* base_finalize */
			NULL,                     /* class_init */
			NULL,                     /* class_destroy */
			NULL,                     /* class_data */
			0,                        /* instance_size */
			0,                        /* n_preallocs */
			NULL,                     /* instance_init */
			NULL                      /* value_table */
		};

		type = g_type_register_static(G_TYPE_INTERFACE, "BeReadyable", &info, 0);
	}

	return type;
}

void be_readyable_ready(BeReadyable *self) {
	BE_READYABLE_GET_CLASS(self)->ready(self);
}
void be_readyable_unready(BeReadyable *self) {
	BE_READYABLE_GET_CLASS(self)->unready(self);
}
