#ifndef INC_BE_APPLET__READYABLE_H
#define INC_BE_APPLET__READYABLE_H

#include <glib-object.h>

#define BE_READYABLE_TYPE             (be_readyable_get_type())
#define BE_READYABLE(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), BE_READYABLE_TYPE, BeReadyable))
#define BE_READYABLE_CLASS(vtable)    (G_TYPE_CHECK_CLASS_CAST ((vtable), BE_READYABLE_TYPE, BeReadyableClass))
#define BE_IS_READYABLE(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), BE_READYABLE_TYPE))
#define BE_IS_READYABLE_CLASS(vtable) (G_TYPE_CHECK_CLASS_TYPE ((vtable), BE_READYABLE_TYPE))
#define BE_READYABLE_GET_CLASS(inst)  (G_TYPE_INSTANCE_GET_INTERFACE ((inst), BE_READYABLE_TYPE, BeReadyableClass))

typedef struct _BeReadyable BeReadyable;
typedef struct _BeReadyableClass BeReadyableClass;

struct _BeReadyableClass {
	GTypeInterface parent;

	void (*ready)(BeReadyable *self);
	void (*unready)(BeReadyable *self);
};

GType be_readyable_get_type(void);

void be_readyable_ready(BeReadyable *self);
void be_readyable_unready(BeReadyable *self);

#endif
