#ifndef INC_BE_APPLET__WINDOW_MENU_BUTTON_H
#define INC_BE_APPLET__WINDOW_MENU_BUTTON_H

#include <gtk/gtk.h>

#include "menu-button.h"

#define BE_WINDOW_MENU_BUTTON_TYPE            (be_window_menu_button_get_type())
#define BE_WINDOW_MENU_BUTTON(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), BE_WINDOW_MENU_BUTTON_TYPE, BeWindowMenuButton))
#define BE_WINDOW_MENU_BUTTON_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), BE_WINDOW_MENU_BUTTON_TYPE, BeWindowMenuButtonClass))
#define BE_IS_WINDOW_MENU_BUTTON(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), BE_WINDOW_MENU_BUTTON_TYPE))
#define BE_IS_WINDOW_MENU_BUTTON_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), BE_WINDOW_MENU_BUTTON_TYPE))
#define BE_WINDOW_MENU_BUTTON_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), BE_WINDOW_MENU_BUTTON_TYPE, BeWindowMenuButtonClass))

typedef struct _BeWindowMenuButton BeWindowMenuButton;
typedef struct _BeWindowMenuButtonClass BeWindowMenuButtonClass;

struct _BeWindowMenuButton {
	BeMenuButton parent;

	/* private */
	GtkWidget *window_menu;
};

struct _BeWindowMenuButtonClass {
	BeMenuButtonClass parent;

	/* class members */
};

GType be_window_menu_button_get_type(void);

GtkWidget *be_window_menu_button_new(void);

#endif
