#ifndef INC_BE_APPLET__WINDOW_MENU_H
#define INC_BE_APPLET__WINDOW_MENU_H

#include <gtk/gtk.h>

#define BE_WINDOW_MENU_TYPE            (be_window_menu_get_type())
#define BE_WINDOW_MENU(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), BE_WINDOW_MENU_TYPE, BeWindowMenu))
#define BE_WINDOW_MENU_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), BE_WINDOW_MENU_TYPE, BeWindowMenuClass))
#define BE_IS_WINDOW_MENU(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), BE_WINDOW_MENU_TYPE))
#define BE_IS_WINDOW_MENU_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), BE_WINDOW_MENU_TYPE))
#define BE_WINDOW_MENU_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), BE_WINDOW_MENU_TYPE, BeWindowMenuClass))

typedef struct _BeWindowMenu BeWindowMenu;
typedef struct _BeWindowMenuClass BeWindowMenuClass;

struct _BeWindowMenu {
	GtkMenu parent;

	/* private */
	GHashTable *windows;
	GtkWidget  *no_windows;
	GtkWidget  *separator;
	GdkPixbuf  *no_icon;
};

struct _BeWindowMenuClass {
	GtkMenuClass parent;

	/* class members */
};

GType be_window_menu_get_type(void);

GtkWidget *be_window_menu_new(void);

#endif
