#ifndef INC_BE_APPLET__WINDOW_LIST_H
#define INC_BE_APPLET__WINDOW_LIST_H

#include <gtk/gtk.h>
#define WNCK_I_KNOW_THIS_IS_UNSTABLE
#include <libwnck/libwnck.h>

#ifdef HAVE_STARTUP_NOTIFICATION
	#define SN_API_NOT_YET_FROZEN
	#include <libsn/sn.h>
#endif

#define BE_WINDOW_LIST_TYPE            (be_window_list_get_type())
#define BE_WINDOW_LIST(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), BE_WINDOW_LIST_TYPE, BeWindowList))
#define BE_WINDOW_LIST_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), BE_WINDOW_LIST_TYPE, BeWindowListClass))
#define BE_IS_WINDOW_LIST(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), BE_WINDOW_LIST_TYPE))
#define BE_IS_WINDOW_LIST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), BE_WINDOW_LIST_TYPE))
#define BE_WINDOW_LIST_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), BE_WINDOW_LIST_TYPE, BeWindowListClass))

typedef struct _BeWindowList BeWindowList;
typedef struct _BeWindowListClass BeWindowListClass;

struct _BeWindowList {
	GtkVBox parent;

	/* private */
	GtkTooltips      *tooltips;
	GHashTable       *windows;
	GdkPixbuf        *no_icon;
	GtkWidget        *active;
	GtkWidget        *was_active;
	gboolean          frozen;

	#ifdef HAVE_STARTUP_NOTIFICATION
		SnDisplay        *sn_display;
		SnMonitorContext *sn_monitor;
		GHashTable       *startup_seqs;
	#endif
};

struct _BeWindowListClass {
	GtkVBoxClass parent;
};

GType be_window_list_get_type(void);

GtkWidget *be_window_list_new(void);

#endif
